export declare abstract class Model {
    pgp: any;
    /**
     * Create a new model instance.
     * @param {Object} pgp
     */
    constructor(pgp: any);
    /**
     * Get table name for model.
     * @return {String}
     */
    abstract getTable(): string;
    /**
     * Get table column names for model.
     * @return {String[]}
     */
    abstract getColumnSet(): any;
    /**
     * Return the model & table definition.
     * @return {Object}
     */
    query(): any;
    /**
     * Convert the "camelCase" keys to "snake_case".
     * @return {ColumnSet}
     * @param columns
     */
    createColumnSet(columns: any): any;
}
