"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_utils_1 = require("@mlcc/core-utils");
const model_1 = require("./model");
class Round extends model_1.Model {
    /**
     * The table associated with the model.
     * @return {String}
     */
    getTable() {
        return "rounds";
    }
    /**
     * The read-only structure with query-formatting columns.
     * @return {Object}
     */
    getColumnSet() {
        return this.createColumnSet([
            {
                name: "public_key",
                prop: "publicKey",
            },
            {
                name: "balance",
                prop: "voteBalance",
                init: col => core_utils_1.bignumify(col.value).toFixed(),
            },
            {
                name: "round",
            },
        ]);
    }
}
exports.Round = Round;
//# sourceMappingURL=round.js.map