"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_utils_1 = require("@mlcc/core-utils");
const model_1 = require("./model");
class Wallet extends model_1.Model {
    /**
     * The table associated with the model.
     * @return {String}
     */
    getTable() {
        return "wallets";
    }
    /**
     * The read-only structure with query-formatting columns.
     * @return {Object}
     */
    getColumnSet() {
        return this.createColumnSet([
            {
                name: "address",
            },
            {
                name: "public_key",
                prop: "publicKey",
            },
            {
                name: "second_public_key",
                prop: "secondPublicKey",
            },
            {
                name: "vote",
            },
            {
                name: "username",
            },
            {
                name: "balance",
                init: col => core_utils_1.bignumify(col.value).toFixed(),
            },
            {
                name: "vote_balance",
                prop: "voteBalance",
                init: col => (col.value ? core_utils_1.bignumify(col.value).toFixed() : null),
            },
            {
                name: "produced_blocks",
                prop: "producedBlocks",
            },
            {
                name: "missed_blocks",
                prop: "missedBlocks",
            },
        ]);
    }
}
exports.Wallet = Wallet;
//# sourceMappingURL=wallet.js.map