import { Database, Logger } from "@mlcc/core-interfaces";
import { models } from "@mlcc/crypto";
import { Model } from "./models";
import { QueryExecutor } from "./sql/query-executor";
export declare class PostgresConnection implements Database.IDatabaseConnection {
    readonly options: any;
    private walletManager;
    logger: Logger.ILogger;
    models: {
        [key: string]: Model;
    };
    query: QueryExecutor;
    db: any;
    blocksRepository: Database.IBlocksRepository;
    roundsRepository: Database.IRoundsRepository;
    transactionsRepository: Database.ITransactionsRepository;
    walletsRepository: Database.IWalletsRepository;
    pgp: any;
    private emitter;
    private migrationsRepository;
    private cache;
    private queuedQueries;
    constructor(options: any, walletManager: Database.IWalletManager);
    buildWallets(height: number): Promise<boolean>;
    commitQueuedQueries(): Promise<void>;
    connect(): Promise<void>;
    deleteBlock(block: models.Block): Promise<void>;
    disconnect(): Promise<void>;
    enqueueDeleteBlock(block: models.Block): any;
    enqueueDeleteRound(height: number): any;
    enqueueSaveBlock(block: models.Block): any;
    make(): Promise<Database.IDatabaseConnection>;
    saveBlock(block: models.Block): Promise<void>;
    saveWallets(wallets: any[], force?: boolean): Promise<void>;
    /**
     * Run all migrations.
     * @return {void}
     */
    private runMigrations;
    /**
     * Register all models.
     * @return {void}
     */
    private registerModels;
    /**
     * Register the query builder.
     * @return {void}
     */
    private registerQueryExecutor;
    private enqueueQueries;
    private exposeRepositories;
}
