"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../utils");
exports.queries = {
    blocks: {
        common: utils_1.loadQueryFile(__dirname, "./blocks/common.sql"),
        count: utils_1.loadQueryFile(__dirname, "./blocks/count.sql"),
        delete: utils_1.loadQueryFile(__dirname, "./blocks/delete.sql"),
        findById: utils_1.loadQueryFile(__dirname, "./blocks/find-by-id.sql"),
        headers: utils_1.loadQueryFile(__dirname, "./blocks/headers.sql"),
        heightRange: utils_1.loadQueryFile(__dirname, "./blocks/height-range.sql"),
        latest: utils_1.loadQueryFile(__dirname, "./blocks/latest.sql"),
        recent: utils_1.loadQueryFile(__dirname, "./blocks/recent.sql"),
        statistics: utils_1.loadQueryFile(__dirname, "./blocks/statistics.sql"),
        top: utils_1.loadQueryFile(__dirname, "./blocks/top.sql"),
    },
    migrations: {
        create: utils_1.loadQueryFile(__dirname, "./migrations/create.sql"),
        find: utils_1.loadQueryFile(__dirname, "./migrations/find.sql"),
    },
    rounds: {
        delete: utils_1.loadQueryFile(__dirname, "./rounds/delete.sql"),
        find: utils_1.loadQueryFile(__dirname, "./rounds/find.sql"),
    },
    spv: {
        blockRewards: utils_1.loadQueryFile(__dirname, "./spv/block-rewards.sql"),
        delegates: utils_1.loadQueryFile(__dirname, "./spv/delegates.sql"),
        delegatesForgedBlocks: utils_1.loadQueryFile(__dirname, "./spv/delegates-forged-blocks.sql"),
        delegatesRanks: utils_1.loadQueryFile(__dirname, "./spv/delegates-ranks.sql"),
        lastForgedBlocks: utils_1.loadQueryFile(__dirname, "./spv/last-forged-blocks.sql"),
        multiSignatures: utils_1.loadQueryFile(__dirname, "./spv/multi-signatures.sql"),
        receivedTransactions: utils_1.loadQueryFile(__dirname, "./spv/received-transactions.sql"),
        secondSignatures: utils_1.loadQueryFile(__dirname, "./spv/second-signatures.sql"),
        sentTransactions: utils_1.loadQueryFile(__dirname, "./spv/sent-transactions.sql"),
        votes: utils_1.loadQueryFile(__dirname, "./spv/votes.sql"),
    },
    transactions: {
        findByBlock: utils_1.loadQueryFile(__dirname, "./transactions/find-by-block.sql"),
        latestByBlock: utils_1.loadQueryFile(__dirname, "./transactions/latest-by-block.sql"),
        latestByBlocks: utils_1.loadQueryFile(__dirname, "./transactions/latest-by-blocks.sql"),
        statistics: utils_1.loadQueryFile(__dirname, "./transactions/statistics.sql"),
        forged: utils_1.loadQueryFile(__dirname, "./transactions/forged.sql"),
        findById: utils_1.loadQueryFile(__dirname, "./transactions/find-by-id.sql"),
        deleteByBlock: utils_1.loadQueryFile(__dirname, "./transactions/delete-by-block.sql"),
    },
    wallets: {
        all: utils_1.loadQueryFile(__dirname, "./wallets/all.sql"),
        findByAddress: utils_1.loadQueryFile(__dirname, "./wallets/find-by-address.sql"),
        findNegativeBalances: utils_1.loadQueryFile(__dirname, "./wallets/find-negative-balances.sql"),
        findNegativeVoteBalances: utils_1.loadQueryFile(__dirname, "./wallets/find-negative-vote-balances.sql"),
    },
};
//# sourceMappingURL=index.js.map