"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../models");
const queries_1 = require("../queries");
const repository_1 = require("./repository");
const { migrations: sql } = queries_1.queries;
class MigrationsRepository extends repository_1.Repository {
    /**
     * Find a migration by its name.
     * @param  {String} name
     * @return {Promise}
     */
    async findByName(name) {
        return this.db.oneOrNone(sql.find, { name });
    }
    /**
     * Get the model related to this repository.
     * @return {Migration}
     */
    getModel() {
        return new models_1.Migration(this.pgp);
    }
}
exports.MigrationsRepository = MigrationsRepository;
//# sourceMappingURL=migrations.js.map