"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const models_1 = require("../models");
const queries_1 = require("../queries");
const repository_1 = require("./repository");
const { rounds: sql } = queries_1.queries;
class RoundsRepository extends repository_1.Repository {
    /**
     * Find a round by its ID.
     * @param  {Number} round
     * @return {Promise}
     */
    async findById(round) {
        return this.db.manyOrNone(sql.find, { round });
    }
    /**
     * Delete the round from the database.
     * @param  {Number} round
     * @return {Promise}
     */
    async delete(round) {
        return this.db.none(sql.delete, { round });
    }
    /**
     * Get the model related to this repository.
     * @return {Round}
     */
    getModel() {
        return new models_1.Round(this.pgp);
    }
}
exports.RoundsRepository = RoundsRepository;
//# sourceMappingURL=rounds.js.map