import { Database } from "@mlcc/core-interfaces";
import { Transaction } from "../models";
import { Repository } from "./repository";
export declare class TransactionsRepository extends Repository implements Database.ITransactionsRepository {
    /**
     * Find a transactions by its ID.
     * @param  {String} id
     * @return {Promise}
     */
    findById(id: any): Promise<any>;
    /**
     * Find multiple transactionss by their block ID.
     * @param  {String} id
     * @return {Promise}
     */
    findByBlockId(id: any): Promise<any>;
    /**
     * Find multiple transactionss by their block ID and order them by sequence.
     * @param  {Number} id
     * @return {Promise}
     */
    latestByBlock(id: any): Promise<any>;
    /**
     * Find multiple transactionss by their block IDs and order them by sequence.
     * @param  {Array} ids
     * @return {Promise}
     */
    latestByBlocks(ids: any): Promise<any>;
    /**
     * Get all of the forged transactions from the database.
     * @param  {Array} ids
     * @return {Promise}
     */
    forged(ids: any): Promise<any>;
    /**
     * Get statistics about all transactions from the database.
     * @return {Promise}
     */
    statistics(): Promise<any>;
    /**
     * Delete the transactions from the database.
     * @param  {Number} id
     * @return {Promise}
     */
    deleteByBlockId(id: any): Promise<any>;
    /**
     * Get the model related to this repository.
     * @return {Transaction}
     */
    getModel(): Transaction;
}
