import { Database } from "@mlcc/core-interfaces";
import { Wallet } from "../models";
import { Repository } from "./repository";
export declare class WalletsRepository extends Repository implements Database.IWalletsRepository {
    /**
     * Get all of the wallets from the database.
     * @return {Promise}
     */
    all(): Promise<any>;
    /**
     * Find a wallet by its address.
     * @param  {String} address
     * @return {Promise}
     */
    findByAddress(address: any): Promise<any>;
    /**
     * Get the count of wallets that have a negative balance.
     * @return {Promise}
     */
    tallyWithNegativeBalance(): Promise<any>;
    /**
     * Get the count of wallets that have a negative vote balance.
     * @return {Promise}
     */
    tallyWithNegativeVoteBalance(): Promise<any>;
    /**
     * Create or update a record matching the attributes, and fill it with values.
     * @param  {Object} wallet
     * @return {Promise}
     */
    updateOrCreate(wallet: any): Promise<any>;
    /**
     * Get the model related to this repository.
     * @return {Object}
     */
    getModel(): Wallet;
}
